/**
 * 费用申请页面
 * 
 * @link      http://www.u-bo.com
 * @copyright 南京友博网络科技有限公司 
 * @license   http://www.u-bo.com/license/ 
 * 
 * @author Strief http://blog.u-bo.com
 * @since 0.1
 */
jQuery(function($) {

	//关联检测
	$('#application-link_name').focusout(function() {
		$('.redstar-money').remove();
		$(this).closest('td').attr('class','link_name');

		if ($(this).val() == '') {
			$(this).closest('td').attr('class','link_name has-error');
			$(this).after("<span class='redstar redstar-money' style='font-size:10px;'>关联不能为空</span>");
		}
	});

	/**
	 * 若金额出现错误或报销日期不符合规定则禁止表单提交
	 */
	$("#main-form").submit(function () {
		$('.redstar-money').remove();
		$('#application-link_name').closest('td').attr('class','link_name');

		if ($("input[name='Application[link_name]']").val() == '') {
			$('#application-link_name').closest('td').attr('class','link_name has-error');
			$('#application-link_name').after("<span class='redstar redstar-money' style='font-size:10px;'>关联不能为空</span>");
			return false;
		}
	});

	/**
	 * 详情页快捷审核操作
	 */
	$(".change-isused-select").on('change', function() {
		if (!confirm('确定要改变使用状态？')) {
            return false;
        }
		var status = $(this).find('option:selected').val();
		$.get($(this).data('setUrl')+'&isused='+status, {}, function(resp) {
			if (resp.status == 1) {
				artDialog.tips(resp.info);
				setTimeout("window.location.href = detail",2000);
			} else {
				alert(resp.info);
			}
		});
	});
});